-------------------------------------------------------------------------------
-- English/Default
-------------------------------------------------------------------------------

-- Bindings
BINDING_HEADER_BFC_HEADER 	= "Battlefield Commander";
BINDING_NAME_BFC_COMMSMENU	= "Show Comms Menu";

BFC_Strings = {
	bfcommander = "Battlefield Commander",
	options = "BFC Options",
	
	-- setchannel might be unused
	setchannel = "Set Channel",
	scale = "Scale",
	enablepings = "Enable Channel Comms",
	enableradio = "Enable Radio Sounds",
	cannotshow = "BFC cannot be displayed when in an instance.",
	attackcommand = "You have received an |cffff0000attack|r order!",
	defendcommand = "You have received a |cff00ffffdefend|r order!",
	objectives = "Objectives",
	attack = "Attack",
	move = "Move",
	defend = "Defend",
	clearobjectives = "Clear",
	narrowmode = "Narrow Mode",
	autoshowbg = "BG Auto Show",
	groupobjective = "Group %s objective",
	yourobjective = "Your objective",
	
	-- These next 2 might be unused, I need to check. If so, they should be deleted
	broadcastchan = "Broadcast Channel",
	channelmenuitem = "Set Channel...",
	
	comms_enemyspotted = "Enemy spotted!",
	comms_undercontrol = "Situation under control.",
	comms_reinforcements = "Need reinforcements!",
	comms_rogerthat = "Roger that!",
	comms_negative = "Negative.",
	
	chan_joinchannel = "Join Channel",
	chan_broadcastchannel = "Broadcast Channel",
	
	error_invalidchan = "Error: Invalid channel name.",
	error_couldnotjoin = "Error: Could not join channel.",
	error_channotfound = "Error: channel %q not found.",
	error_cannotshow = "Error: BFC cannot be displayed when in an instance.",
	error_notingroup = "Error: You must be in a party or raid to use that function.",
	
	msg_setchannel = "Setting comms channel to: %s.",
	msg_broadcastchan = "Comms channel has been changed to: %s",
	
	pattern_broadcastchan = "<BFC> Comms channel has been changed to: (.+)",
};

BFC_MyAddons = {
	name = "BattlefieldCommander",
	version = "1.5",
	author = "Vallerius",
	category = MYADDONS_CATEGORY_BATTLEGROUNDS,
	optionsframe = "BFC_OptionsFrame"
};

if (GetLocale() == "deDE") then

-- Bindings
BINDING_HEADER_BFC_HEADER 	= "Battlefield Commander";
BINDING_NAME_BFC_COMMSMENU	= "Kommunikationsmen\195\188";

BFC_Strings = {
	bfcommander = "Battlefield Commander",
	options = "BFC-Einstellungen",
	
	-- setchannel might be unused
	setchannel = "Chatkanal festlegen", -- used in the caption of set channel window
	scale = "Skalierung", -- where is this used? (to scale [verb] => Skalieren, scale [noun] => Skalierung)
	enablepings = "Chatkanal-Kommunikation aktivieren",
	enableradio = "Funkmeldungen aktivieren",
	cannotshow = "BFC kann in Instanzen nicht angezeigt werden.",
	attackcommand = "Ihr habt einen Befehl zum |cffff0000Angriff|r erhalten!",
	defendcommand = "Ihr habt einen Befehl zur |cff00ffffVerteidigung|r erhalten!",
	objectives = "Ziele",
	attack = "Angreifen",
	move = "Vorr\195\188cken",
	defend = "Verteidigen",
	clearobjectives = "L\195\182schen",
	narrowmode = "Schmale Ansicht",
	autoshowbg = "Auf Schlachtfeldern automatisch \195\182ffnen",
	groupobjective = "Ziel der Gruppe %s",
	yourobjective = "Euer Ziel",
	
	-- These next 2 might be unused, I need to check. If so, they should be deleted
	broadcastchan = "Chatkanal ank\195\188ndigen", -- used in set channel window
	channelmenuitem = "Chatkanal festlegen...", -- used in menu
	
	comms_enemyspotted = "Feind gesichtet!",
	comms_undercontrol = "Situation unter Kontrolle.",
	comms_reinforcements = "Brauche Verst\195\164rkung!",
	comms_rogerthat = "Verstanden.",
	comms_negative = "Negativ.",
	
	chan_joinchannel = "Chatkanal betreten",
	chan_broadcastchannel = "Chatkanal ank\195\188ndigen", -- unused
	
	error_invalidchan = "Fehler: Ung\195\188ltiger Chatkanal.",
	error_couldnotjoin = "Fehler: Der Chatkanal konnte nicht betreten werden.",
	error_channotfound = "Fehler: Der Chatkanal %q wurde nicht gefunden.",
	error_cannotshow = "Fehler: BFC kann in Instanzen nicht angezeigt werden.",
	error_notingroup = "Fehler: Ihr m\195\188sst Teil einer Gruppe bzw. Schlachtgruppe sein, um diese Funktion nutzen zu k\195\182nnen.",
	
	msg_setchannel = "Chatkanal wird festgelegt auf: %s.",

	msg_broadcastchan = "Comms channel has been changed to: %s",
	
	pattern_broadcastchan = "<BFC> Comms channel has been changed to: (.+)",
};
end